Ubuntu Install Qt4

I found I can do this: sudo apt-get install bitcoind. The instructions in this post are for Ubuntu 16. This means that now is a great opportunity to update my OpenCV installation guide to the latest versions, Ubuntu 14. ) Go to your Dash home. This is a brand new Ubuntu install (with all updates). I HAVE RUN INTO A NUMBER OF ISSUES THAT ARE ILLUSTRATED BELOW. ubuntu QT开发环境(三种方法安装Qt4. 04 64-bit system Here is a list of cross compilers for various CPUs and ARM boards:. 10 (Intrepid). Thanks to all translators on transifex. 0 is available. 10 Ubuntu 10. 8 sudo apt-get install qt4-. It's certainly possible. This is the default for many system rubies, but if you install a ruby via rvm or similar, you need to do one of the following: Under rvm use rvm install 2. Install Nemo With Unity Patches (And Without Cinnamon Dependencies) In Ubuntu; Nemo 3. Hi, I am trying to get geant4. 04 Ubuntu 11. But believe me, that's enough for now. Alternatively, you can also grab a. 0-dev subversion qt4-qtconfig. Marcpp schrieb: Is possible install Qt4 pyqt4 under kubuntu? Few times ago i tried to run pyqt in ubuntu (gnome) but i can't do it. This page presents the steps of the installation on a Linux system using apt-get (such as Ubuntu), but similar steps work on other systems. 04 from source. If you don't know how to do it, see Point E. 67 on Ubuntu 14. Install Avidemux 2. This is a brand new Ubuntu install (with all updates). 3) Install EnvyNG: if you use Ubuntu or Xubuntu (i. Hopefully, this tutorial has helped you to successfully install Pip on Ubuntu, as well as show you how to use some of its basic functions. returns the version of the linked Poppler-Qt4 library as a tuple of ints, e. i've been using ubuntu for years compiling apps from source so i know what i'm doing. Introduction. Unlike Qt4, Qt5 doesn't come with a configuration tool to allow setting the icon theme, fonts or the style and instead, it tries to use the settings from the running desktop environment. The blocks can be used under Linux for soft and hard real time tasks (RTAI). If you want to install the latest stable version of Git from source, move on to the Installing Git from the Source section of this tutorial. The qBittorrent runs on all major OS including GNU/Linux, Mac OS X, Windows, OS/2. This is a placeholder. Exact hits Package qt4-qmake. For a full list of. Wine is a free and open source software that aims to allow applications designed for Microsoft Windows to run on Linux, Mac, FreeBSD, and Solaris. lsb-qt4-arm64 Package is now installed. HOW TO INSTALL IN LINUX? Step 1: Install CMake (>2. By the way, pygraphviz is not essential for ns3. Note, this applies only to Ubuntu 12. Just execute the appropriate one for you Linux in a terminal. OTOH, it was able to list qt4 when asked directly. 2 in Ubuntu 11. Document your code. It might help others if some easier instructions could be made available there about how to install, rather that pointing to source code as detailed above. 10 SMPlayer is a free media player for Windows and Linux with built-in codecs that can play virtually all video and audio formats. And I found a tutorial on how to create a. Recommended system requirements are the same as for Ubuntu 18. No more compiling, for QT4 obsolescence (Ubuntu 11. Prerequisites. It's certainly possible. Gambas is intended to provide a similar experience as developing in Microsoft Visual Basic but it is not considered to the clone of Visual Basic, merely as a counterpart. I plug vi whenever possible, because vi is the greatest (high five). x and PyQt5 which will only build against 5. 8インストール qt5以降はインストーラが整備されて自分でコンパイルする必要がなかったが、いざ商用ライセンスを購入するとなると、販売代理店にQt5以降はまだ安定していないからQt4. 6 Best Linux Music Players That Every User Must Try — (2018 Edition) Installing Qmmp on Ubuntu: sudo apt-get install qmmp-qt4 qmmp-plugin-pack-qt4 6. 04, but as with Ubuntu 14. Download Zip, save to preferred directory:~/Downloads However due to data loss of the blog, i decide to rewrite this article using Linux Mint Debian Edition ( a similar distribution to Ubuntu). Python version 3 is now the default python interpreter on Ubuntu 18. Back In Time - A simple backup tool for Linux. PRO file after creating a project:. sudo apt-get install libX11-dev libXext-dev libXtst-dev 首先安装 libxrender-dev build-essential 自己编译过程中遇到的错误提示为 Basic XLib functionality test failed! You might need to modify the include and library search paths by editing QMAKE_INCDIR_X11 and QMAKE_LIBDIR_X11 那是因为 Ubuntu没装有libxtst-dev 解决办法:. 04 to run NS3, and since I encountered many difficulties to make all modules successfully build and work, here are some patches to overcome common problems (may not be optimal, take it as a bunch of hints. 8-dev libqt4-dev python-numpy ccache python-opengl libgsl0-dev python-cheetah python-lxml doxygen qt4-dev-tools libqwt5-qt4-dev libqwtplot3d-qt4-dev. How to install pinentry-qt4 ubuntu package on Ubuntu 18. cmake Add the installation prefix of "Qt5Core" to CMAKE_PREFIX_PATH or set "Qt5Core_DIR" to a directory containing one of the above files. Pour installer le framwork Qt, il faut installer le paquet libqt4-dev (dans les dépôts canonical). 04 Install Digikam 4. Document your code. /configure -fontconfig && make && make install //此命令在qt-everywhere-opensource-src-4. Qt is a cross-platform application framework that is widely used for developing application software that can be run on various software and hardware platforms with. 10 Operating System. If QtCurve is in your Linux (or other Unix-like OS) distribution’s repository, installing qtcurve is as simple as a single command, such as the Ubuntu command:. I know we've done a temporary solution. 04 64bit, but OpenGL is causing some headaches: 1) If it set -DGEANT4_USE_INVENTOR=ON then I seem to end up in a conflict between motif and OpenGL. 04 qt4-x11 It was discovered that several invalid HTTPS certificates were issued and revoked. 4 ns3 version: ns3 version 3. On Windows the binary installer for MSVC 2015 or MSVC 2017 must be used. needed for old bindings. 10 SMPlayer is a free media player for Windows and Linux with built-in codecs that can play virtually all video and audio formats. Every project on GitHub comes with a version-controlled wiki to give your documentation the high level of care it deserves. By the way, pygraphviz is not essential for ns3. org/ Install sudo apt install openimageio-tools. Install Cygwin by running setup-x86_64. Home > digikam, linux, ubuntu > Install Digikam 4. sudo apt-get install qt4-default. The original title for this post is "Installing SUSE Imagewriter on Ubuntu LTS". This stack provides Python bindings for Qt. 2(3) source code. To install qBittorrent in Fedora 24-18, use the following command. i'm trying to install armory on ubuntu 12. Ubuntu Linux. Removing obsolete software from the ship-live seed. Lets Begin For Ubuntu 32-bit 1. 04 but it is not working: $ sudo dpkg -i armory_0. To download and install Qt for Linux, follow the instructions on the Getting Started with Qt page. sudo apt-get download paraviewopenfoam44 --allow-unauthenticated sudo dpkg -i paraviewopenfoam44_0-1_amd64. As a counterexample, Ubuntu 16. Download Ubuntu 64bit We can download from Qt Online Installer for Linux 64-bit (22 MB) (qt-opensource-linux-x64-1. Winamp supports a wide variety of contemporary and specialized music file formats, including MIDI,…. Jump to: navigation, search. Document your code. 1 LTS won't have GTK2 installed by default for most people (some languages still pull in input methods that use GTK2). July (1) June (1). The most recent version of the Cygwin DLL is 3. Such opinions may not be accurate and they are to be used at your own risk. For Ubuntu 16. Install ParaView. By joining our community you will have the ability to post topics, receive our newsletter, use the advanced search, subscribe to threads and access many other special features. 7 ln -sfnv qt-4. I had to include the following packages to install it. If you turn on the chat in Facebook and them log in using FBMessenger, the app does not make you. The following configurations are supported. 04 Posted on September 28, 2010 by GreeenGuru This walk-through will take you from a fresh install of Eclipse to a fully-functional IDE ready for development of Java, Python, C/C++, and Qt GUI applications. Restart Ubuntu to complete installation. A Vultr Ubuntu 16. I have ubuntu 12. How to install ns-3. The following configurations are supported. Just execute the appropriate one for you Linux in a terminal. sudo make install. To make sure your installation works you can run one of the examples inside the geant4. These removal commands were created based on what Kubuntu, Xubuntu, etc. qBittorrent is an advanced, free, open source application (as the name suggests) based on Qt4 toolkit and libtorrent-rasterbar library. 04 system, you can also use a PPA repository to install CMake tool on your system with the following commands: $ sudo add-apt-repository ppa:george-edison55/cmake-3. Back In Time - A simple backup tool for Linux. And a note of thanks to Kiyotaka and other AFNI users who contributed advice to these instructions on the MB! Each step involves either copy+pasting a command, or clicking on a download link. /ait-driver-installer-10-1-x86. 7 via the Linux/X11 64-bit "Online Installer" on Ubuntu 10. According to Ubuntu's repository websearch, the real programs were last available in Ubuntu 8. Our apt repository contains packages for emergent 8. 2 on Ubuntu. Eclipse - C/C++ (CDT), Python (PyDev), and Qt (Qt4) Plugins Installation Tutorial for Ubuntu 10. Virtualmin can be installed in a number of ways an automated install script or manual Virtualmin, Apache, and Nginx Reverse Proxy · Ubuntu 12. Install HP LaserJet P1108 printer in Ubuntu 12. glogg is part of all recent Ubuntu distributions. It is safe to install over an existing version if you want to update glogg to the latest version. I tried to install libglew-dev and I had the same problem. To install it, do sudo dpkg…. Open your terminal. 04; Part-2: Install and Configure VTK 8. 04 - Server Hosting Control Panel - Manage Your Servers, Web Servers, Websites, Apps, Databases with Ease!. For Windows: Run the installer, which will ask a few simple questions and install the HiView application files in the appropriate location on the system. 14 in Ubuntu 16. Note: If Qt 5 is also installed in Ubuntu, the following should be executed before running makeParaView: export QT_SELECT=qt4; Installing on SuSE (OpenSuSE/SLES v12 or above, or Tumbleweed) Install general packages. 10 Ubuntu 12. 04 Desktop or Server release. 04 comes with nine months, until January 2020, of security and maintenance updates. Note that the cscope version on the Ubuntu repositories may not be the latest one. We provide pre-built images for several open-source operating systems. Installing GNS3 0. run file from Qt - Download Open Source. 04 are available on my PPA. Open up a terminal and enter the following commands below:. 10 maverick GNS3 is an excellent tool for graphical network simulator that allows simulation from simple to complex networks. These are code blocks, all major operating systems ie Linux, Microsoft Windows, MacOS, Solaris, OpenBSD etc. Easily find and install new applications or remove existing installed applications with the Snap Store snap. Later on, you may want to install other versions of Qt4. PRO file after creating a project:. If you'd like to install it on OpenSUSE use the following Zypper command in a terminal window. Restart Ubuntu to complete installation. Qt (pronounced "cute") is a free and open-source widget toolkit for creating graphical user interfaces as well as cross-platform applications that run on various software and hardware platforms such as Linux, Windows, macOS, Android or embedded systems with little or no change in the underlying codebase while still being a native application with native capabilities and speed. So here is how to install GNS3 on Ubuntu. LTS stands for long-term support — which means five years, until April 2023, of free security and maintenance updates, guaranteed. Pour installer le framwork Qt, il faut installer le paquet libqt4-dev (dans les dépôts canonical). sudo apt install libosmesa6-dev libgl1-mesa-glx libglfw3 sudo apt-get install libglew-dev sudo apt install -y build-essential autoconf libtool pkg-config python-opengl python-pil \ python-pyrex python-pyside. Contribute to toanalien/QT-QuickStart development by creating an account on GitHub. On Windows, go to "Start" -> "All Programs" -> "PyQt GPL v4. sudo apt-get install build-essential libqt4-dev libgtk2. 1 on Ubuntu 16. Cross-platform software development at its best. sudo apt-get install backintime-qt4. ubuntu QT开发环境(三种方法安装Qt4. How can I install Qt4. Networking must be enabled in order to be able to install software packages in Ubuntu. I found a tutorial to compile stellarium and install it on any linux machine on the stellarium website itself. Most systems are set up to install pre-built dependencies using a 'package manager', such as apt on ubuntu or pacman on Arch Linux. Installing OpenRAVE on Ubuntu 16. I read some stuff about CMake but as of I am new bee, I will prefer to use Eclipse IDE. A Domain name pointed at your server. I tryed to install the program after I did what you recommended, and it did not work. login as Sudo su. 04 LTS and OpenCV 2. run file from Qt - Download Open Source. These removal commands were created based on what Kubuntu, Xubuntu, etc. UbuntuにQt4ベースのOpenGL開発ライブラリを追加する。-----sudo apt-get install qt4-qmake sudo apt-get install libqglviewer-qt4-dev-----開発ライブラリが入ったのでプロジェクトフォルダを作りそこにとりあえず 簡単な画面を出すプログラムを配置する。. Phoronix: Ubuntu Planning To Drop Qt4 & Its Dependencies Ahead Of 20. Omar Chavez said Hello mate and thanks for this tutorial. Just execute the appropriate one for you Linux in a terminal. 2 is available. 1 Prior to 2012 (CEST)). that because I've a slow Internet connection on th Linux machine, so I can't use internet to download it. Installing qt4-default: After system update use the following command to install qt4-default: sudo apt-get install qt4-default. If you don't know how to do it, see Point E. However, currently, the latest version is PyQt 4. The last step is installing, or moving files to the directories. Follow Youtube Video … Slideshare uses cookies to improve functionality and performance, and to provide you with relevant advertising. 04+ First, you have to install the dynagen and python-qt4 packages. Open your terminal. (end of page 6 for 64 bit. Ekee is currently broken on Ubuntu Karmic Koala : it segfaults when you run it. I hope, within two or three months, we'll get a new static binary of Avro what will be distro independent. Related courses: Python Programming Full Course (Basics, OOP, Modules, PyQt). // this will avoid ubuntu to asking password for every sudo command for specified username ##### APPS : Copy & paste this comand to the command line in terminal : sudo apt-get install \ build-essential gcj thunderbird php5 apache2 subversion \ mysql-server libqt4-sql-mysql libmysql++3 libmysqlclient15-dev libmysql++-dev qt4-qtconfig \. Qt is a cross-platform application development framework for desktop, embedded and mobile. 现在安装Qt Creator 命令如下. qBittorrent is officially packaged on Fedora distribution. Ubuntu Jaunty Post-Installation for FOSSGIS. Cygwin version. as far as repositories, i get. Ubuntu MATE 19. 1 has been released with the new Qt Creator 4. i am trying to install the fx3 support software for linux on an i7 based laptop running ubuntu 16. I am beginning to go in the direction I had mentioned previously on this blog: using Debian as server and Ubuntu as desktop. 7 qt4-dev-tools qt4-designer libqtgui4 \ libqtcore4 libqt4-xml libqt4-test libqt4-script libqt4-network libqt4-dbus python-qt4 python-qt4-gl \ libgle3 python-dev. 3), use qmmp-qt4 qmmp-plugin-pack-qt4 in the command above. 04, Linux Mint 18. 7 installation using a command prompt:. All of the columns are sortable; give them a click!. packages were added to a default Ubuntu installation. These removal commands were created based on what Kubuntu, Xubuntu, etc. sudo apt-get download paraviewopenfoam44 --allow-unauthenticated sudo dpkg -i paraviewopenfoam44_0-1_amd64. 10 GNS3 is in the new Ubuntu Software Center, what difference does it make to installing from the CLI like in this tutorial, the Ubuntu Software Center, or from Synaptic. xda-developers Ubuntu Touch Ubuntu Touch General Remote X server through SSH by BukaKing XDA Developers was founded by developers, for developers. Found 1 matching packages. Note, this applies only to Ubuntu 11. 6, because the install document was written using gns3 0. 04 Desktop or Server release. sudo apt-get install python-sip python-qt4 I am keeping the original post in case you do need to build it from source (for example if you are using virtualenv, python3 or you are actually not using Ubuntu but a distribution that does not have a prepackaged PyQt). You were probably looking at the docs for 4. Plus you need other components to make Fern run like:-. Oh, and you can use “slaves” to make it a complete switch, including the whole set of Qt tools. The original title for this post is "Installing SUSE Imagewriter on Ubuntu LTS". 7 and Python 3. It doesn't need any external codecs. 04 or Debian 8 server set up with a Python 3 programming environment. If you are a developer you need C and C++ Compiler for your development work. Installing LiteIDE Prerequisites. I have libdbus 1. * either qmake can be found or install pkg-config or set * the QTDIR environment variable to the correct location. py and run it using the python interpreter of your Python 2. For example, if your Qt installation is 32 bits, and your Python installation is 32 bits and 64 bits then you will need to specify --use-arch i386 to ensure that pyuic4 runs the 32 bit. NS3 is a discrete event network simulator, which is widely use for the research in the network domain. 2 Install Cross Compiler for Qt (Note: RK3399 FriendlyCore needs to use the PC operating system Ubuntu 18. 13 which is current version on Debian Wheezy to the highest to satisfy what Qt requires. deb package from GetDeb. fstab and User permission. For example, qmake will point to the Qt3 version not the Qt4. This will install all the required packages for C and C++ compilers. If you really need kgraphspace, consider installing Ubuntu 8. on ubuntu you could install the dependencies via synaptic, i assume. 1 gcc libgeotiff1. It may be used for some newer versions of Qt and Ubuntu. After a quick search, I realised that Ubuntu Alternate allows to do that. MicMac is an open source project and you can download the source code and compile the project yourself. 1 Prior to 2012 (CEST)). The new release TeXstudio 2. deb on AMD64 machines If you are running Ubuntu, it is strongly suggested to use a package manager like aptitude or synaptic to download and install packages, instead of doing so manually via this website. With Qt, you can reach all your target platforms - desktop & embedded - with one technology and one codebase, minimizing your time-to-market and maintenance burden. For those who are frighteningly obsessive about having uniform boxes, buttons, and sliders, QtCurve is perfect. 04LTS, Tom Rondeau, 2014/09/12. That said, for production environments, it should be installed in some system location. This guide lists solutions for problems you might encounter when installing OpenCV and its dependencies. 1 has been released with the new Qt Creator 4. The repos only offer 0. For that purpose simply follow these instructions to install to an appropriate location. 04 and higher users who want to install the Qt4 release (0. The following list of packages should be accurate for Ubuntu 19. While Ubuntu does include a comparable tool called “Startup Disk Creator”, that tool only supports creation of bootable USB sticks for Debian-derivative distributions. I hope, within two or three months, we'll get a new static binary of Avro what will be distro independent. Install GNURadio-3. Installs QT4. 04 0 General Thursday, January 19, 2012 Qt is a multi-platform application and UI framework that combines tools needed for the creation of applications targeted at mobile phones, desktop environments like Windows, Mac OS X and of course Linux. 3 devices, as well as mends some regressions related to the project tree. It might help others if some easier instructions could be made available there about how to install, rather that pointing to source code as detailed above. To make sure your installation works you can run one of the examples inside the geant4. 10, go here. See installing and configuring Python on macOS. There is a good collection of tutorials and examples included with the PyQt 4 installation. 10 (Karmic Koala) Conventions and Caveats. Removing Qt4 components. 04, Linux Mint 18. If you really need kgraphspace, consider installing Ubuntu 8. Uninstall qt4-designer and its dependencies sudo apt-get remove --auto-remove qt4-designer. 6 Best Linux Music Players That Every User Must Try — (2018 Edition) Installing Qmmp on Ubuntu: sudo apt-get install qmmp-qt4 qmmp-plugin-pack-qt4 6. qtopengl idle-python2. 5 Thanks for all help and advice. 10 were just released an I’m still building packages for Jaunty? Anyway… TCLAP 1. 0 in Ubuntu Intrepid Ibex. sudo apt-get install libqt4-dev libvtk5-qt4-dev This will install all header files and libraries that you need. mcallegari79. 3) Install EnvyNG: if you use Ubuntu or Xubuntu (i. If you found this article useful then Like us, Share this post on your preferred Social media, Subscribe our Newsletter OR if you have something to say then feel free to comment on the comment box below. Sep 4, 2015. Installing New QT (v4. But hardly I know what to do with it after that. Check this page only for reference for older systems and as long as the script doesn't work for Ubuntu 18. The Qt (SDK) software development kit is a portable cross platform application user interface framework which works on the Windows, Linux and Mac OS X operating systems. Wheels are provided for Python v3. Update 2008-09-28: For Ubuntu Linux, the examples are part of the python-qt4-doc package. Omar Chavez said Hello mate and thanks for this tutorial. On Windows the binary installer for MSVC 2015 or MSVC 2017 must be used. org/ Install sudo apt install openimageio-tools. Qt was initially developed by Trolltech, a Norwegian software company. 0 is available. 4 , and un-compress the file onto a separate directory. If you are not already logged in as su, installer will ask you the root password. sudo apt-get install qt4-qmake sudo apt-get install libqt4-dev Or install those packages through "Synaptic Software Manager" under Ubuntu<=10. Was it that easy to install UNetbootin in Ubuntu 13. 04 LTS and PCL to version 1. This is a SVG-based theme engine for both Qt4 and Qt5, KDE and LXQt. Install libpcap files with "]$ sudo apt-get install libpcap0. I set about installing c++ in ubuntu, but was unable to do so because of my slow internet connection; the software index could not be updated. 10, go here. deb on AMD64 machines If you are running Ubuntu, it is strongly suggested to use a package manager like aptitude or synaptic to download and install packages, instead of doing so manually via this website. To install Skrooge on ubuntu from our PPA, you need to Open a terminal and enter:. If you really need kgraphspace, consider installing Ubuntu 8. If you turn on the chat in Facebook and them log in using FBMessenger, the app does not make you. Qt is a cross-platform C++ application framework. (Hardy was the LTS release of that era, and its repositories will be around longer than the Intrepid repositories. I tryed to install the program after I did what you recommended, and it did not work. 7 qt4-dev-tools qt4-designer libqtgui4 \ libqtcore4 libqt4-xml libqt4-test libqt4-script libqt4-network libqt4-dbus python-qt4 python-qt4-gl \ libgle3 python-dev. sudo aptitude install build-essential. 3) sudo apt-get install qt4-dev-tools qt4-designer qt4-doc qt4-dev-tools包含了一些开发用到辅助工具,如帮助系统工具assitant,翻译辅助工具linguist,d-bus查看器,Pixel Tool等。. sudo apt-get install build-essential libqt4-dev libgtk2. Use Custom Themes For Qt Applications On Linux With Kvantum - Linux Uprising Blog To be able to choose the theme Qt applications are using on your Linux system, tweak some settings, and have an overall better integration with Gnome / Gtk, you can give Kvantum a try. You have searched for packages that names contain qt4-qmake in all suites, all sections, and all architectures. How to install QT 5. Installation and Compilation. Run the following commands: sudo apt-get update sudo apt-get install git-core build-essential binutils-dev flex \ bison zlib1g-dev qt4-dev-tools libqt4-dev libncurses5-dev \ libxt-dev rpm mercurial graphviz python python-dev. Install packages for ParaView sudo apt-get install qt4-dev-tools libqt4-dev libqt4-opengl-dev freeglut3-dev libqtwebkit-dev curl. Temporary note for upgrading to QT4 from QT3 on Ubuntu. Get the full Qt experience with a licensing plan designed to support your business goals plus access to the official Qt Support. Compiling Your first C. 5がおすすめですと寂しい話があり、やむやむQt4. 1G) Start the virtual machine, follow the first startup wizard to simply configure Ubuntu, enter the desktop and click the icon in the upper left corner to search for. 04 LTS due out next April. PyQt contains over 620 classes that cover graphical user interfaces, XML handling, network communication, SQL databases, Web browsing and other technologies available in Qt. apt-get install python-qt4 python-pip; Currently there are no drivers for Ubuntu 17. Pour installer le framwork Qt, il faut installer le paquet libqt4-dev (dans les dépôts canonical). I found a tutorial to compile stellarium and install it on any linux machine on the stellarium website itself. I HAVE RUN INTO A NUMBER OF ISSUES THAT ARE ILLUSTRATED BELOW. Installing Qwt. 04 But that approach How to install Qt 4. Document your code. sudo apt-get install dynagen python-qt4 After that, you have to. In Ubuntu, you just need to install the qt4-dev-tools package to fix it. 7 and Python 3. Why install from. Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. If you are not already logged in as su, installer will ask you the root password. I have a question, but since I am new to linux it will be a n00b question: Since 9. Part-3: Install and Configure PCL 1. sorry if the Newbie corner isn't the right place for this, i looked at the other topics on this forum and this seemed to best suit it.